com.fasterxml.jackson.databind.deser

## Class BasicDeserializerFactory.ContainerDefaultMappings

- java.lang.Object
- - com.fasterxml.jackson.databind.deser.BasicDeserializerFactory.ContainerDefaultMappings

Enclosing class:
  BasicDeserializerFactory

    protected static class BasicDeserializerFactory.ContainerDefaultMappings
    extends Object

Helper class to contain default mappings for abstract JDK `Collection` and `Map` types. Separated out here to defer cost of creating lookups until mappings are actually needed.

Since:
  2.10

### Constructor Summary

Constructors
`protected` `ContainerDefaultMappings()`

### Method Summary

All Methods Static Methods Concrete Methods
`static Class<?>` `findCollectionFallback(JavaType type)`
`static Class<?>` `findMapFallback(JavaType type)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ContainerDefaultMappings

    protected ContainerDefaultMappings()

### Method Detail

#### findCollectionFallback

    public static Class<?> findCollectionFallback(JavaType type)

#### findMapFallback

    public static Class<?> findMapFallback(JavaType type)